Summary: Install Navigator for Oracle
Name: oranavi
Version: 10.3
Release: 9AX
URL: http://www.miraclelinux.com
License: Commercial
ExclusiveOS: Linux
Group: Applications/Databases
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source0: %{name}-%{version}.tar.bz2
Patch0: oranavi-10.3-support_only_db10gr2.patch
Patch1: oranavi-10.3-support_only_db10gr2_doc.patch
Patch2: oranavi-10.3-for_axs3.patch
Patch3: oranavi-10.3-termvalue.patch
Patch4: oranavi-10.3-ml-to-ax_and_fix-illegal-ver.patch
Patch5: oranavi-10.3-remove_x86-64.patch
Patch6: oranavi-10.3-ppc-additionalnotes-CN.GB2312.patch
Patch7: oranavi-10.3-ppc-additionalnotes-JP.eucJP.patch
Patch8: oranavi-10.3-ppc-additionalnotes-KR.eucKR.patch
Patch9: oranavi-10.3-ppc-additionalnotes-TW.Big5.patch
Patch10: oranavi-10.3-modify_note_in_index.patch
BuildRequires: python-tools
Requires: pygtk2 >= 1.99.11
Requires: pygtk2-libglade 
Requires: python2
Requires: sed
Requires: gawk
Requires: chkconfig
NoSource: 0

#Asianux
Patch100: oranavi-10.3-asianux-desktop_categories.patch

Patch101: oranavi-10.3-fix_korean_document_install_require.patch

%description
Install Navigator for Oracle (abbreviated-name oranavi) is a GUI tool which
eases the installation process of Oracle. It also provides a functionality
to change automatic startup/shutdown of Oracle Database in a manageable way.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%ifarch ppc ppc64
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%endif

%patch10 -p1

#Asianux
%patch100 -p1

%patch101 -p1

%build
make

%install
make INSTROOT=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
install -m755 dbora $RPM_BUILD_ROOT/etc/rc.d/init.d/
echo "Categories=Application;Utility;X-Red-Hat-Extra;" >> %{name}.desktop
install -m644 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
install -m644 oraparam.ini $RPM_BUILD_ROOT%{_datadir}/%{name}
%ifarch ia64
    pushd doc/ia64/
    [ -d zh ] && mv zh zh_CN
    # 10gR2 for ia64 is from x86_64
    cp -a ../x86_64/en/10gDB102 en/
    cp -a ../x86_64/en/oranavi en/
    cp -a ../x86_64/en/miraclelogo.gif en/
    cp -a ../x86_64/ja/10gdb102 ja/
    /bin/cp -a ../x86_64/ja/oranavi/* ja/oranavi/
    cp -a ../x86_64/ko/10gdb201 ko/
    /bin/cp -a ../x86_64/ko/oranavi/* ko/oranavi/
    if [ -d ../x86_64/zh ]; then
        cp -a ../x86_64/zh/10gDB102 zh_CN/
        cp -a ../x86_64/zh/oranavi zh_CN/
        cp -a ../x86_64/zh/miraclelogo.gif zh_CN/
    else
        cp -a ../x86_64/zh_CN/10gDB102 zh_CN/
        cp -a ../x86_64/zh_CN/oranavi zh_CN/
        cp -a ../x86_64/zh_CN/miraclelogo.gif zh_CN/
    fi
    cp -a ../x86_64/zh_TW/10gDB102 zh_TW/
    cp -a ../x86_64/zh_TW/miraclelogo.gif zh_TW/
%else
%ifarch x86_64 ppc
    pushd doc/x86_64/
    [ -d zh ] && mv zh zh_CN
    cp -a zh_CN/oranavi zh_TW/oranavi
%else
    pushd doc/i386/
    [ -d zh ] && mv zh zh_CN
    cp -a zh_CN/oranavi zh_TW/oranavi
%endif
    # junk files
    find ./ -name "*~" | xargs rm -f
    find ./ -name Thumbs.db | xargs rm -f
    find ./ -name diff | xargs rm -f
%endif
    # support only DB10gR2
    for dir in en ja zh_CN zh_TW ko ; do
        mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir
        pushd $dir
        for file in `find . -type f -maxdepth 1`; do
            install -m644 $file $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir
        done
        for dir2 in `find . -type d|egrep -i "(10gdb102|10gdb201|dbora|oranavi|img)"`; do
            mkdir -p -m755 $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir/$dir2
            install -m644 $dir2/* $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/$dir/$dir2
        done
        popd
    done
popd
#for the pictures of Traditional Chinese
cd $RPM_BUILD_ROOT%{_datadir}/%{name}/doc/zh_TW/
for dir in `find . -type d | grep -v oranavi`; do
	pushd "$dir"
	for loop in `ls ../../zh_CN/$dir/*[0-9].jpg`; do
    		ln -sf $loop .
	done
	popd
done

%clean
rm -fr $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
    /sbin/chkconfig --add dbora
fi

%preun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/dbora ]; then
        /etc/rc.d/init.d/dbora stop >& 2
    fi
    /sbin/chkconfig --del dbora
fi
if [ -d /usr/share/%{name} ] ; then
    rm -rf /usr/share/%{name}/*.pyc
fi

%files
%defattr(-,root,root)
%doc AUTHORS
/etc/rc.d/init.d/dbora
/usr/sbin/%{name}
%dir /usr/share/%{name}
/usr/share/locale/*/LC_MESSAGES/oranavi.mo
/usr/share/%{name}/*
/usr/share/pixmaps/%{name}/oranavi.png
/usr/share/pixmaps/%{name}/first.xpm
%attr(0644,root,root) %{_datadir}/applications/%{name}.desktop

%changelog
* Tue Aug 14 2007 Moon, SungHo <shmoon@miraclelinux.com> 10.3-9AX
- fix korean document install require (patch101, AXBugzillar#3486)

* Tue Jul 24 2007 Yuji Oishi <yoishi@miraclelinux.com> 10.3-8AX
- modify notes since DB10gR2 installation guide for RHEL5 has been published.
  (Patch10, bug#3345)

* Sat Jul 14 2007 Ryoji Kamei <kamei@miraclelinux.com> 10.3-7AX
- add notes (Patch6 to Patch9)
-   comment about XLC compiler for ppc (#3216)
-   set LANG=C when invoking oracle installer in ppc (#3217)
-   oracle help is in still legacy coding, separating patch will be safe

* Wed Jul 11 2007 Ki-Young, Lee <kylee@haansoft.com> 10.3-6AX
- added to oranavi-10.3-asianux-desktop_categories.patch

* Tue Jul 10 2007 Ryoji Kamei <kamei@miraclelinux.com> 10.3-5AX
- fix displaying English messages on Japanese environemnt (#3131, Patch3)
- fix errors in oranavi user's guide (#3132, Patch4)
- fix lacking Chinese document (#3136)
- fix desktop file location to Application/Utilities
- fix trivial things
-   copy images here and there to fix several broken links
-   remove junk files
-   remove x86-64 strings to use for ia64 and ppc. (Patch5)
-   change Group from System Environemnt/Base to Application/Databases. 
-     (See GROUPS file in rpm source code for general groups)

* Fri Jun  8 2007 Hiroshi Hara <hhara@miraclelinux.com> 10.3-4AX
- support only Oracle DB10gR2(Patch0, Patch1, bug#2905)
- fix xhost patch and detection of mountpoint for AXS3
  (Patch2, bug#2906)

* Thu May 10 2007 Ryoji Kamei <kamei@miraclelinux.com> 10.3-3AX
- just rebuild for AXS3
- add force option at ln for ia64

* Thu Jan  4 2007 Hiroshi Hara <hhara@miraclelinux.com> 10.3-2AX
- update Korean po file and oracle docs

* Tue Dec 19 2006 Hiroshi Hara <hhara@miraclelinux.com> 10.3-1AX
- update to oranavi-10.3 to select Oracle AS

* Thu Apr 18 2006 Hwanii Jung <shjung@haansoft.com> 10.2-26AX
- modify to support installing 'OracleDB R2 lite' which needs 
  JAVA_13HOME set as an environment variable

* Fri Mar 17 2006 Shiro Yamada <shiro@miraclelinux.com> 10.2-25AX
- modify kernel parameters when installing 10gDB-R2
- fix a typo in setting a custom NLS_LANG

* Mon Jan 1 2006 Hwanii Jung <shjung@haansoft.com> 10.2-24AX
- merge oranavi-10.2-10gdbr1_ia64.patch into the source
- add 'database' diretory to be recongnized in DVD media
- update korean docs

* Fri Nov 11 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-23AX
- update ko docs

* Wed Nov  2 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-22AX
- launch OUI installer with -ignoreSysPrereqs for IA64
- update documents for IA64

* Thu Sep  20 2005 Zhongyong Li <zylee@redflag-linux.com> 10.2-21AX
- add the tradition chinese documentation for IA64 system 
 
* Thu Aug  4 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-20AX
- update korean docs
- launch OUI in korean when installing 10gDB-R2
- use x86-64 docs for ppc arch

* Wed Jul 27 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-19AX
- check for cdrecorder as well as cdrom
- update screen shots

* Tue Jul 26 2005 Hua Jie <jiehua@redflag-linux.com> 10.2-18AX
- unset LANG in account oracle's profile file in Chinese and Korean

* Mon Jul 25 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-17AX
- add Korean help docs
- update Korean messages
- add missing image files

* Mon Jul 25 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-16AX
- fix NLS_LANG window under Korean
- split CLASSPATH into pieces
- add --force option to ignore certified version checks
- add documents for 10gDB-R2

* Wed Jul 13 2005 Jun YOSHIDA <jun@miraclelinux.com> 10.2-15AX
- fixed some bugs in English documents.
- correct typo in Korean po file.

* Tue Jul 12 2005 Hua Jie <jiehua@redflag-linux.com> 10.2-14AX
- add documents of Traditional Chinese
- modify the NLS_LANG value to the correct one

* Fri Jul  8 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-13AX
- reject uncertified versions

* Wed Jun 29 2005 XiaoYu Zhou <xyzhou@redflag-linux.com> 10.2-12AX
- translate on oline help doc to chinese
- add traditional chinese

* Wed Jun 29 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-11AX
- display an error dialog when run by non-root user
- unset LANGUAGE var

* Wed Jun 15 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-10AX
- use -paramFile only for 10gDB R1
- chown only the relevant dir

* Tue Jun 14 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-9AX
- export variables in /etc/sysconfig/httpd

* Tue Jun  7 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-8AX
- fix CLASSPATH
- update docs

* Tue May 31 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-7AX
- use orapam.ini for installing oracle10g
- use Japanese_Japan.AL32UTF8 as NLS_LANG

* Wed May 11 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-6AX
- change CD-ROM directory to /media/cdrom
- let it check permission for OUI execution first
- update Korean messages

* Thu Apr 28 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-5AX
- let it uses English Installer when LANG=ko_KR

* Mon Apr 19 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-4AX
- fixed quirky link messages

* Thu Mar 31 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-3AX
- add zh_CN and ko_KR messages
- fix a bug for setting default environment variables

* Tue Mar 29 2005 Shiro Yamada <shiro@miraclelinux.com> 10.2-2AX
- add Korean locale support
- make it work with firefox

* Tue Mar 22 2005 Shiro Yamada <shiro@miraclelinux.com>
- initial packaging

